
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python学习之asyncore模块用法实例教程_python / iVAN</title>

    <meta name="description" content="Python学习之asyncore模块用法实例教程_python 本文以实例分析了Python中asyncore模块的原理及用法,分享给大家供大家参考.具体分析如下: asyncore库是python的一个标准库,它是一个异步socket的包装.我们操作网络的时候可以直接使用socket等底层的库,但是asyncore使得我们可以更加方便的操作网络,避免直接使用socket,select,poll等工具时需要面对的复杂. 这个库很简单,包含了一个函数和一个类* loop()函数* dispatcher基类需要注意的是,loop函数是全局的,不是dispatch">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Python学习之asyncore模块用法实例教程_python</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文以实例分析了Python中asyncore模块的原理及用法，分享给大家供大家参考。具体分析如下：</p>
<p>asyncore库是python的一个标准库，它是一个异步socket的包装。我们操作网络的时候可以直接使用socket等底层的库，但是asyncore使得我们可以更加方便的操作网络，避免直接使用socket，select，poll等工具时需要面对的复杂。</p>
<p>这个库很简单，包含了一个函数和一个类<br />* loop()函数<br />* dispatcher基类<br />需要注意的是，loop函数是全局的，不是dispatcher的方法</p>
<p>每一个从dispatcher继承的类的对象，都可以看作我们需要处理的一个socket,可以是TCP连接或者UDP，甚至是其它不常用的。使用容易，我们需要定义一个类，它继承dispatcher，然后我们重写（覆盖）一些方法就可以了。</p>
<p>我们需要重写的方法一般都以handle_打头。</p>
<pre>
class refuse(dispatcher):
  def handle_accept():
    #do nothing ...
    pass
</pre>
<p>loop()函数负责检测一个dict，dict中保存dispatcher的实例，这个字典被称为channel。每次创建一个dispatcher对象，都会把自己加入到一个默认的dict里面去（当然也可以自己指定channel）。当对象被加入到channel中的时候，socket的行为都已经被定义好，程序只需要调用loop()，一切功能就实现了。</p>
<p>asyncore是python标准库中的一个良好的设计<br />
在python的标准文档中，有一个asyncore的例子</p>
<pre>
import asyncore, socket
class http_client(asyncore.dispatcher):
  def __init__(self, host, path):
    asyncore.dispatcher.__init__(self)
    self.create_socket(socket.AF_INET, socket.SOCK_STREAM)
    self.connect( (host, 80) )
    self.buffer = 'GET %s HTTP/1.0\r\n\r\n' % path
  def handle_connect(self):
    pass
  def handle_close(self):
    self.close()
  def handle_read(self):
    print self.recv(8192)
  def writable(self):
    return (len(self.buffer) &gt; 0)
  def handle_write(self):
    sent = self.send(self.buffer)
    self.buffer = self.buffer[sent:]
c = http_client('www.python.org', '/')
asyncore.loop()
</pre>
<p>运行这个函数，发现python.org的首页被下载下来了，也就是说我们实现了一个http层的协议？但是我们用的仅仅是socket级别的API…那么来看看这几行代码的奥妙吧！</p>
<p>writable和readable在检测到一个socket可以写入或者检测到数据到达的时候，被调用，并返回一个bool来决定是否handle_read或者handle_write</p>
<p>打开asyncore.py可以看到，dispatcher类中定义的方法writable和readable的定义相当的简单：</p>
<pre>
def readable(self):
  return True
def writable(self):
  return True
</pre>
<p>就是说，一旦检测到可读或可写，就直接调用handle_read/handle_write，但是在上面的例子中，我们却看到了一个重载（看上去像C++的虚函数，不是吗？）</p>
<pre>
def writable(self):
  return (len(self.buffer) &gt; 0)
</pre>
<p>很明显，当我们有数据需要发送的时候，我们才给writable的调用者返回一个True，这样就不需要在handle_write中再做判断了，逻辑很明确，代码很清晰，美中不足的是理解需要一点时间，但是不算困难吧！</p>
<p>其余的代码看起来就很清晰了，有一种兵来将挡的感觉。当一个http服务器发送处理完成你的请求，close socket的时候，我们的handle_close()也相应完成自己的使命。close()将对象自身从channel中删除，并且负责销毁socket对象。</p>
<pre>
def close(self):
  self.del_channel()
  self.socket.close()
</pre>
<p>loop()函数检测到一个空的channel，将退出循环，程序完成任务，exit。</p>
<p>希望本文所述对大家的Python程序设计有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索python<br />
                    ，                模块<br />
                    ，                用法<br />
                                    asyncore<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:48:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%b3%95/" title="用法">用法</a>, <a href="https://www.iamivan.net/tag/asyncore/" title="asyncore">asyncore</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Python学习之asyncore模块用法实例教程_python的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2akvM.html" rel="bookmark">Python中apply函数的用法实例教程&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.概述: python apply函数的具体含义如下:  apply(func [, args [, kwargs ]]) 函数用于当函数参数已经存在于一个元组或字典中时,间接地调用函数.args是一个包含将要提供给函数的按位置传递的参数的元组.如果省略了args,任何参数都不会被传递,kwargs是一个包含关键字参数的字典.   apply()的返回值就是func()的返回值,apply()的元素参数是有序的,元素的顺序必须和func()形式参数的顺序一致 二.使用示例: 下面给几个例子来详			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXWXmyM.html" rel="bookmark">Python内置函数的用法实例教程&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文简单的分析了Python中常用的内置函数的用法,分享给大家供大家参考之用.具体分析如下: 一般来说,在Python中内置了很多有用的函数,我们可以直接调用. 而要调用一个函数,就需要知道函数的名称和参数,比如求绝对值的函数abs,只有一个参数.可以直接从Python的官方网站查看文档:http://docs.python.org/2/library/functions.html#abs 也可以在交互式命令行通过help(abs)查看abs函数的帮助信息. 调用abs函数: &gt;&gt;&gt; a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3Wo40b.html" rel="bookmark">Python迭代用法实例教程&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Python中迭代的用法,是一个非常实用的技巧.分享给大家供大家参考借鉴之用.具体分析如下: 如果给定一个list或tuple,我们可以通过for循环来遍历这个list或tuple,这种遍历我们成为迭代(Iteration). 在Python中,迭代是通过for ... in来完成的,而很多语言比如C或者Java,迭代list是通过下标完成的,比如Java代码: for (i=0; i&lt;list.length; i++) { n = list[i]; } 可以看出,Python的f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlLjlp.html" rel="bookmark">Python中zip&lpar;&rpar;函数用法实例教程&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Python中zip()函数的定义及用法,相信对于Python初学者有一定的借鉴价值.详情如下: 一.定义: zip([iterable, ...])zip()是Python的一个内建函数,它接受一系列可迭代的对象作为参数,将对象中对应的元素打包成一个个tuple(元组),然后返回由这些tuples组成的list(列表).若传入参数的长度不等,则返回list的长度和参数中长度最短的对象相同.利用*号操作符,可以将list unzip(解压). 二.用法示例: 读者看看下面的例子,对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyK725z.html" rel="bookmark">Python中函数的用法实例教程&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文以数值计算为例讲述了Python中函数的用法,分享给大家供大家参考借鉴之用.具体如下: 我们都知道圆的面积计算公式为: S = πr2 当我们知道半径r的值时,就可以根据公式计算出面积.假设我们需要计算3个不同大小的圆的面积: r1 = 12.34 r2 = 9.08 r3 = 73.1 s1 = 3.14 * r1 * r1 s2 = 3.14 * r2 * r2 s3 = 3.14 * r3 * r3 当代码出现有规律的重复的时候,你就需要当心了,每次写3.14 * x * x不仅很麻烦			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1BA8xp.html" rel="bookmark">python的类变量和成员变量用法实例教程&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例形式讲解了python的类变量和成员变量用法,对于Python程序设计有一定的参考价值.分享给大家供大家参考.具体如下: 先看看下面这段代码: class TestClass(object): val1 = 100 def __init__(self): self.val2 = 200 def fcn(self,val = 400): val3 = 300 self.val4 = val self.val5 = 500 if __name__ == '__main__': inst =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEdaOz.html" rel="bookmark">Python列表list数组array用法实例解析&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文以实例形式详细讲述了Python列表list数组array用法.分享给大家供大家参考.具体如下: Python中的列表(list)类似于C#中的可变数组(ArrayList),用于顺序存储结构.   创建列表   复制代码 代码如下: sample_list = ['a',1,('a','b')]   Python 列表操作 复制代码 代码如下: sample_list = ['a','b',0,1,3]   得到列表中的某一个值 复制代码 代码如下: value_start = sampl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRDLaz.html" rel="bookmark">python正则表达式match和search用法实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了python正则表达式match和search用法,实例分析了正则表达式中match和search的功能.定义及相关使用技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了python正则表达式match和search用法.分享给大家供大家参考.具体分析如下: python提供了2中主要的正则表达式操作:re.match 和 re.search. match :只从字符串的开始与正则表达式匹配,匹配成功返回matchobject,否则返回none: sea			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4vm9p.html" rel="bookmark">python关键字and和or用法实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了python关键字and和or用法实例,本文直接给出实现代码,需要的朋友可以参考下 python 中的and从左到右计算表达式,若所有值均为真,则返回最后一个值,若存在假,返回第一个假值. or也是从左到有计算表达式,返回第一个为真的值. 代码如下: IDLE 1.2.4 &gt;&gt;&gt;'a'and'b' 'b' &gt;&gt;&gt;''and'b' '' &gt;&gt;&gt;'a'or'b' 'a' &gt;&gt;&gt;''or'b' 'b' 类似三目表达式的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEJW6M.html" rel="bookmark" class="title">javamail发送怎么与数据库的链接？</a>
					<div>
						问题描述 javamail发送怎么与数据库的链接? package Mail; import java.sql.Connection; import java.sql.DriverManager; i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9X4Rb.html" rel="bookmark" class="title">ASP获取远程文件大小信息&lpar;通过header头信息&rpar;</a>
					<div>
						文件大小|远程文件|header ASP获取远程文件的通过header头信息,并返回远程文件大小信息,远程文件可以是网页或RAR,EXE任何格式的文件. 以下的代码是由阿里西西alixixi.com提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmx5BM.html" rel="bookmark" class="title">多进程应用帮助PHP解决难题</a>
					<div>
						PHP在很多时候不适合做常驻的SHELl进程, 他没有专门的gc例程, 也没有有效的内存管理途径. 所以如果用PHP做常驻SHELL, 你会经常被内存耗尽导致abort而unhappy PHP在很多时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNllmz.html" rel="bookmark" class="title">WebClass入门&lpar;3&rpar;</a>
					<div>
						web                          WebClass的程序走向                                 |             啟動這個WebClas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Xxxp.html" rel="bookmark" class="title">黄祖敏&colon;百度关键词排名首页实战策略</a>
					<div>
						最近一位seoer3天将一个关键词从第三页,优化到了首页.9月3号星期六看到他的排名还是第20名,也就是第二页最后一个.中午12点这样搜索关键词,发现已经排到了首页,因为是寝室的舍友,也上前咨询了一番 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK2aEz.html" rel="bookmark" class="title">分析称智能本有望挑战上网本</a>
					<div>
						导语:美国IDG News Service今日发表分析文章称,智能本比上网本拥有更低廉的价格和更长的电池续航时间.随着Linux操作系统改进用户界面,获得更多的应用支持,基于Arm芯片的智能本将逐步获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr42Jp.html" rel="bookmark" class="title">汇编源码系列之exec</a>
					<div>
						这个都是过去DOS时代的汇编源码,虽然已经过去了,但是对于学习汇编还是有帮助的,汇编语言只是程序员一门基础语言,大多人掌握即可,不一定要深入研究....... ; EXECSUB - execute  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ballR2z.html" rel="bookmark" class="title">浅析jQuery框架与构造对象</a>
					<div>
						这是一些分析jQuery框架的文字 针对jQuery 1.3.2版本 面向的读者应具备 以下要求 1.非常熟悉HTML 2.非常熟悉javascript语法知识 3.熟悉 javascript面向对象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO0R5b.html" rel="bookmark" class="title">编写安全的扩展存储过程</a>
					<div>
						    近日在写一个扩展存储过程时,发现再写这类动态库时,还是有一些需要特别注意的地方.之所以会特别注意,是因为DLL运行于SQL Server的地址空间,而SQL Server到底是怎么进行线程调度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOKWZM.html" rel="bookmark" class="title">ubuntu7&period;10 server nagios3&period;03</a>
					<div>
						今天刚装的ubuntu server7.10 去nagios看到有新版本,就决定装一下`第一次在ubuntu里面装`便把 他记录下来,nagios很强大的,可以与很多软件整合的,以后这篇文章慢慢修改! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxjKrb.html" rel="bookmark" class="title">学习编程的顺序步骤是什么</a>
					<div>
						  学习编程的顺序步骤是什么?学习编程不仅需要坚持,强大的逻辑思维外,还要有完善的学习编程的方法,下文小乐哥给大家带来学习编程的方法详解,对于编程初学者相信会有很大的帮助! 学习编程必经的七个阶段.如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balP5Xz.html" rel="bookmark" class="title">Win7中如何进行批量修改文件属性</a>
					<div>
						问:以前我用Windows XP时,因嫌显示器上的字小,所以将小说下载到本地硬盘,再修改源文件,将字体放大后再看.现在我新买了一台电脑,预装的是Windows 7 家庭普通版,却发现文件的属性一直是只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNDX1b.html" rel="bookmark" class="title">PhotoShop室内全身时装人像模特照片修饰商业后期教程</a>
					<div>
						本文PhotoShop室内全身时装人像模特照片修饰商业后期教程,商业修图如果没有特别要求,只需要修掉瑕疵杂物,光影过渡平滑, 一些细节做稍微调整即可,一切要做到真实,让东西看不出修过的痕迹.修饰过程很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8Lr2b.html" rel="bookmark" class="title">腾达Tenda无线路由器设置完后上不了网，怎么办？</a>
					<div>
						路由器设置完成,还是上不了网,怎么办? 此时可以进到路由器设置页面(192.168.0.1),点击右上角的&quot;高级设置 &quot;-&quot;系统状态 &quot;根据WAN口显示的连接  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG2yWp.html" rel="bookmark" class="title">&lbrack;翻译&rsqb; IQAudioRecorderController</a>
					<div>
						IQAudioRecorderController     IQAudioRecorderController is a drop-in universal library allows to rec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Px1p.html" rel="bookmark" class="title">log4j设置了每天输出日志，但是现在该日志没有变动的话不会自动输出请问怎么改？</a>
					<div>
						问题描述 log4j设置了每天输出日志,但是现在该日志没有变动的话不会自动输出请问怎么改? log4j.category.Task=INFO,Task log4j.additivity.Task=fa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwmGBp.html" rel="bookmark" class="title">asp 由动态网页转变为静态网页的实现代码&lowbar;应用技巧</a>
					<div>
						具体代码实现: 1.模板文件(html) 复制代码 代码如下: &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJBv2p.html" rel="bookmark" class="title">深入了解JavaScript中的Symbol的使用方法&lowbar;基础知识</a>
					<div>
						Symbol 是什么? Symbols 不是图标,也不是指在代码中可以使用小图片: 也不是指代其他一些东西的语法.那么,Symbol 到究竟是什么呢?七种数据类型 JavaScript 在 1997  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqrxKb.html" rel="bookmark" class="title">jquery操作对象数组元素方法详解&lowbar;jquery</a>
					<div>
						代码如下: 复制代码 代码如下:  &lt;div id=&quot;div1&quot;&gt;      &lt;span&gt;a&lt;/span&gt;      &lt;span&gt;b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Zx1Rp.html" rel="bookmark" class="title">javascript-我想知道些关于软件开发类和java的资料   本人初学者</a>
					<div>
						问题描述 我想知道些关于软件开发类和java的资料 本人初学者 请各位大师指教下javascript之类的招 跟老师学好久了还是没弄明白 还有懂vs和sql方面的也请指教下 谢谢各位大师 解决方案 w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZQRqp.html" rel="bookmark" class="title">如何用tomcat运行servlet&comma;求详细步骤（新手求助）</a>
					<div>
						问题描述 如何用tomcat运行servlet,求详细步骤(新手求助) tomcat已经配置完成,输入localhost://8080也能成功打开,但是如果我已经在eclipse成功编译了GetPar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBZO8b.html" rel="bookmark" class="title">java-基础-装箱与拆箱</a>
					<div>
						八种基本数据类型的大小,以及他们的封装类. 八种基本数据类型,int ,double ,long ,float, short,byte,character,boolean 对应的封装类型是:Integ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7X1gp.html" rel="bookmark" class="title">第二届MOSEC移动安全技术峰会体验赛&OpenCurlyDoubleQuote;银河争霸&rdquo;点燃现场</a>
					<div>
						2016年7月1日,由盘古团队与韩国POC(Power of Community,社区力量)共同主办的第二届MOSEC移动安全技术峰会在上海浦东黄浦江畔凯宾斯基大酒店隆重开幕,来自全球的众多优秀互联网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22R9Vb.html" rel="bookmark" class="title">运用JavaScript构建你的第一个Metro式应用程序（on Windows 8）（一）</a>
					<div>
						原文 http://blog.csdn.net/zhangxin09/article/details/6784547 作者:Chris Sells 译: sp42   原文 包括 HTML.CSS 和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNXEKM.html" rel="bookmark" class="title">Java Reflection&lpar;三&rpar;&colon;构造器</a>
					<div>
						内容索引获取Constructor对象构造方法参数利用Constructor对象实例化一个类 利用Java的反射机制你可以检查一个类的构造方法,并且可以在运行期创建一个对象.这些功能都是通过java. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn3DOM.html" rel="bookmark" class="title">微软将支持IE6浏览器到2014年</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 北京时间8月12日早间消息,据国外媒体报道,微软周一通过官方博客表示,对IE6浏览器的支持将至少持续到2014年. 此前,有许多网站都表示,有意停止对I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5m55z.html" rel="bookmark" class="title">Linux Mint &plus; Apache2&period;2搭建SSL&sol;HTTPS&sol;SPDY服务器</a>
					<div>
						1.安装apache sudo apt-get install apache2 2.配置SSL,支持HTTPS 这步的作用是启用SSL模块和令网站支持SSL协议. cd到 /etc/apache2/s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NdE9p.html" rel="bookmark" class="title">禁止直接访问网首首页index&period;php文件的方法</a>
					<div>
						比如说我http://www.111cn.net/ a.php 这个文件我不想让别人直接从浏览器输入地址访问 但是如果从任何网站连接http://www.111cn.net/ a.php过来就可以访问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVr4az.html" rel="bookmark" class="title">SQL中ROW&lowbar;NUMBER&lpar;&rpar; 排序函数使用详解</a>
					<div>
						以前写过一篇文章排序提到过ROW_NUMBER()函数,但是很多同学是第一次见到,根本不知道这个函数的详细用法. MK在这里贴出来详细说明供大家参考: Mssql取得第10到第20条的不连续记录的三种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Nxgkp.html" rel="bookmark" class="title">mvc3 将Controllers作为类库分离出来以后 调试报404错误</a>
					<div>
						问题描述 publicstaticvoidRegisterRoutes(RouteCollectionroutes){routes.IgnoreRoute(&quot;{resource}.axd/{ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
